.\" $NetBSD: accton.8,v 1.11 2008/01/24 05:27:10 jnemeth Exp $
.\"
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd January 23, 2008
.Dt ACCTON 8
.Os
.Sh NAME
.Nm accton
.Nd enable/disable system accounting
.Sh SYNOPSIS
.Nm
.Op Ar file
.Sh DESCRIPTION
With an argument naming an existing
.Ar file ,
.Nm
causes system accounting information for every process executed
to be placed at the end of the file.  If no argument is given,
accounting is turned off.
.Pp
The default accounting file is
.Pa /var/account/acct .
Typically, accounting is enabled by rc scripts during the boot process.
In
.Nx ,
one may enable accounting by setting the variable
.Dq accounting
to
.Dq YES
in
.Pa /etc/rc.conf .
.Pp
Note that, traditionally, the system accounting log file can not be rotated
cleanly by
.Xr newsyslog 8 .
Instead, a default installation of
.Nx
rotates
.Pa /var/account/acct
using the
.Pa /etc/daily
script.
.Sh FILES
.Bl -tag -width /var/account/acct -compact
.It Pa /var/account/acct
Default accounting file.
.El
.Sh SEE ALSO
.Xr lastcomm 1 ,
.Xr acct 5 ,
.Xr sa 8
.Sh HISTORY
The
.Nm
command has existed nearly forever, but this man page is new.
